Bug 170225 - Review Request: mimetex: Easily embed LaTeX math in web pages
Review Request: mimetex: Easily embed LaTeX math in web pages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael A. Peters
David Lawrence
http://www.forkosh.com/mimetex.html
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-09 10:36 EDT by Ignacio Vazquez-Abrams
Modified: 2008-01-21 23:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-10 23:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2005-10-09 10:36:17 EDT
Spec Name or Url: http://fedora.ivazquez.net/files/extras/mimetex.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/mimetex-1.60-1.src.rpm
Description: MimeTeX lets you easily embed LaTeX math in your html pages. It parses a LaTeX math expression and immediately emits the corresponding gif image, rather than the usual TeX dvi. And mimeTeX is an entirely separate little program that doesn't use TeX or its fonts in any way.
Comment 1 Michael A. Peters 2005-10-09 11:30:05 EDT
* Builds cleanly in mock (x86 FC-4)
* rpmlint likes the results (no errors on src or binary rpm)
* Proper name for package and specfile
* License in spec matches license in package, package with %doc
* Spec file properly written in American English, legible
* md5sum matches upstream
* No redundant or missing BuildRequires
* No locales or shared libraries
* Package installs/uninstalls cleanly provided /var/www/{cgi-bin,html} owned by
another package
* No duplicate files
* Permissions fine
* Correct use of Macros
* No devel package needed, no .la files
* Works fine for me in FC-4 Apache

-=-

Needs:
It should require a webserver that owns /var/www/{html,cgi-bin}

The zip file in Source0 is unversioned. I'm not sure that is explicitly against
the rules, but it makes it easier to know which version a source in a
rpm/SOURCES directory is associated with.

Questions:
Should it be built with optflags?
Comment 2 Ignacio Vazquez-Abrams 2005-10-09 13:02:16 EDT
Good catches. I'm unwilling to futz with the whole unversioned source at this
time, but the rest should be fine now.

Updated.
Comment 3 Michael A. Peters 2005-10-09 13:17:51 EDT
Approved
Comment 4 Ignacio Vazquez-Abrams 2005-10-10 23:57:38 EDT
Built on FC4 and devel.
Comment 5 Jon Ciesla 2008-01-21 12:39:48 EST
Package Change Request
======================
Package Name: mimetex
New Branches: EL-4 EL-5

To support Moodle deps
Comment 6 Jon Ciesla 2008-01-21 12:40:17 EST
To clarify, I will be the EPEL maintainer.
Comment 7 Kevin Fenzi 2008-01-21 23:32:45 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.